Package org.apache.ignite.internal.processors.platform.client.datastructures

## Class ClientIgniteSetValueAddRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetRequest
    - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetKeyRequest
      - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetValueAddRequest

All Implemented Interfaces:
  `ClientListenerRequest`

    public class ClientIgniteSetValueAddRequest
    extends ClientIgniteSetKeyRequest

Set add request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`ClientIgniteSetValueAddRequest​(BinaryRawReaderEx reader)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetKeyRequest

`process`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetRequest

`igniteSet, name, notFoundResponse, process`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`isAsync, processAsync, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Constructor Detail

#### ClientIgniteSetValueAddRequest

    public ClientIgniteSetValueAddRequest​(BinaryRawReaderEx reader)

Constructor.

Parameters:
  `reader` - Reader.